# Design document

## Project name

Wochenbericht Manager

## Goals

- Erstellen von Wochenberichten (mit Vorlage) als Azubi
- Absegnen von erstellten Berichten von mehreren festgelegten Personen
- Exportieren von Berichten als PDF
- Automatisches Hochlanden von fertigen Berichten zur Hochschule

## Umsetzung

- [ ] Vorlagen
  - HTML Dateien mit Platzhaltern
  - [ ] Hochladen
  - [ ] Aktualisieren
  - [ ] Löschen
- [ ] Berichte schreiben
  - [ ] Für Kalenderwoche
  - [ ] Für Ausbildungswoche
  - [ ] Für Jahr
  - [ ] Für Ausbildungsjahrgang
  - [ ] Abteilungsarbeit
  - [ ] Projektarbeit
  - [ ] Vorträge/Schulungen
  - [ ] Bemerkungen
- [ ] Berichte absegnen
  - [ ] Als gelesen und überprüft markieren
  - [ ] Anmerkungen hinzufügen
  - [ ] Mit Anmerkungen an Azubi zurücksenden
- [ ] Account-Management
  - [ ] Login via:
    - Unternehmen SSO
    - Schulmail ( & Passkey )
    - KEINE PASSWÖRTER
- [ ] Bericht Export als PDF
  - [ ] Vorlage mit Inhalten füllen
  - [ ] HTML als PDF exportieren
- [ ] Upload Bericht zu Hochschule
  - [ ] Direkter Upload via API
  - [ ] Senden an spezifizierte Mail
  - [ ] Automatisch nachdem alle einen Bericht abgesegnet hat
- [ ] Gruppieren nach Unternehmen
  - [ ] Ausbildungsleiter hat Ordnungshoheit?
